Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(16)

Issue 2830933006: Obsolete the ozone code path in ui/views/ (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months ago by tonikitoo
Modified:
5 months ago
Reviewers:
msw, sadrul
CC:
chromium-reviews, msisov
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Obsolete the ozone code path in ui/views/ Ozone works today as a windowing abstract layer underneath Mus (UI service). The classes being removed were part of an earlier attempt to upstream 01.org's Ozone/Wayland "port" of Chromium, which is not under active development anymore [1]. [1] https://01.org/ozone-wayland CL obsoletes the unused ScreenOzone and DesktopWindowTreeHostOzone implementations, since for Mus/Ozone ScreenMus and DesktopWindowTreeHostMus are used, respectively. BUG=295089 Review-Url: https://codereview.chromium.org/2830933006 Cr-Commit-Position: refs/heads/master@{#466540} Committed: https://chromium.googlesource.com/chromium/src/+/150a0a9177dc26b6ebbe66f909c0860a49bfb6e1

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -105 lines) Patch
M ui/views/BUILD.gn View 1 chunk +1 line, -6 lines 0 comments Download
D ui/views/widget/desktop_aura/desktop_factory_ozone.h View 1 chunk +0 lines, -49 lines 0 comments Download
D ui/views/widget/desktop_aura/desktop_factory_ozone.cc View 1 chunk +0 lines, -29 lines 0 comments Download
D ui/views/widget/desktop_aura/desktop_screen_ozone.cc View 1 chunk +0 lines, -15 lines 0 comments Download
M ui/views/widget/desktop_aura/desktop_window_tree_host_ozone.cc View 2 chunks +2 lines, -6 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 18 (12 generated)
tonikitoo
PTAL
5 months ago (2017-04-21 20:16:44 UTC) #10
msw
lgtm, but why not remove desktop_window_tree_host_ozone.cc (and chrome/browser/ui/views/frame/browser_desktop_window_tree_host_ozone.cc) in this same CL?
5 months ago (2017-04-21 21:00:52 UTC) #11
tonikitoo
On 2017/04/21 21:00:52, msw wrote: > lgtm, but why not remove desktop_window_tree_host_ozone.cc (and > chrome/browser/ui/views/frame/browser_desktop_window_tree_host_ozone.cc) ...
5 months ago (2017-04-21 21:15:17 UTC) #12
msw
On 2017/04/21 21:15:17, tonikitoo wrote: > On 2017/04/21 21:00:52, msw wrote: > > lgtm, but ...
5 months ago (2017-04-21 21:29:29 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2830933006/1
5 months ago (2017-04-22 13:55:52 UTC) #15
commit-bot: I haz the power
5 months ago (2017-04-22 19:13:31 UTC) #18
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/150a0a9177dc26b6ebbe66f909c0...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b